using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HaloPlugins
{
    public class EngineManager
    {
        // Our engine instance
        private static EngineCollection TagCollection;

        // The current engine
        public static string EngineId { get; set; }

        public static void Create()
        {
            // Initialize the engine
            TagCollection = new EngineCollection();
        }

        public static EngineCollection GetEngine()
        {
            return TagCollection;
        }
    }
}